Skip to main content
PUT
/
webhook
/
{webhookId}
Update a webhook
curl --request PUT \
  --url https://public.api.micro1.ai/webhook/{webhookId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "url": "https://micro1.ai/webhook",
  "description": "Webhook for interview reports"
}
'
import requests

url = "https://public.api.micro1.ai/webhook/{webhookId}"

payload = {
    "url": "https://micro1.ai/webhook",
    "description": "Webhook for interview reports"
}
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({url: 'https://micro1.ai/webhook', description: 'Webhook for interview reports'})
};

fetch('https://public.api.micro1.ai/webhook/{webhookId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "true",
  "message": "Webhook updated successfully"
}
{
  "status": false,
  "message": "Invalid request"
}
{
  "status": false
}

Authorizations

x-api-key
string
header
required

API key to access the API

Path Parameters

webhookId
string
required

ID of the webhook to update

Body

application/json

Request body to update a webhook

url
string
required

Destination URL for the webhook

Example:

"https://micro1.ai/webhook"

event
enum<string>
required

Event to be sent to the webhook

Available options:
interview_report.created,
interview_recording.completed,
interview_webcam_recording.completed,
proctoring_score.completed,
applicant.completed,
applicant.created,
applicant.updated,
applicant.invited,
interview.started,
interview.completed
description
string

Description of the webhook

Example:

"Webhook for interview reports"

Response

Successful response

status
boolean

Status of the response

Example:

"true"

message
string

Message of the response

Example:

"Webhook updated successfully"